﻿using anbs_cp.Interfaces;

namespace anbs_cp.Classes;

/// <summary>
/// Класс предупреждения
/// </summary>
public sealed class ActionInfo: IActionInfo
{
    #region Конструкторы
    /// <summary>
    /// Конструктор по умолчанию
    /// </summary>
    public ActionInfo ()
    {
        IsStatusInfo = false;
        Object = string.Empty;
        Message = string.Empty;
    }

    /// <summary>
    /// Конструктор
    /// </summary>
    /// <param name="eObject">Объект</param>
    /// <param name="message">Сообщение</param>
    /// <param name="isStatus">Является статусной информацией?</param>
    public ActionInfo (string eObject, string message, bool isStatus = false)
    {
        IsStatusInfo = isStatus;
        Object = eObject;
        Message = message;
    }
    #endregion

    #region Реализация интерфейса
    /// <summary>
    /// Объект
    /// </summary>
    public object Object { get; set; }
    /// <summary>
    /// Сообщение
    /// </summary>
    public string Message { get; set; }
    /// <summary>
    /// Статусная информация (например, начало работы)
    /// </summary>
    public bool IsStatusInfo { get; init; }
    #endregion
}