﻿namespace anbs_cp.Classes.Encrypt;

/// <summary>
/// Статическая обертка для класса шифровки строк StringEncryptor
/// </summary>
public static class StringEncrypt
{
    /// <summary>
    /// Метод для шифрования строки <paramref name="text"/>
    /// </summary>
    /// <param name="text">Строка, которая должна быть зашифрована</param>
    /// <param name="key">Ключ</param>
    /// <returns>Этот статический метод возвращает зашифрованную строку <paramref name="text"/></returns>
    public static string Encrypt (string text, string key) => new StringEncryptor().Encrypt(text, key);

    /// <summary>
    /// Метод для дешифрования строки <paramref name="text"/>
    /// </summary>
    /// <param name="text">Строка, которая должна быть дешифрована</param>
    /// <param name="key">Ключ</param>
    /// <returns>Этот статический метод возвращает дешифрованную строку <paramref name="text"/></returns>
    public static string Decrypt (string text, string key) => new StringEncryptor().Decrypt(text, key);

    /// <summary>
    /// Декодирует зашифрованную строку в HTML-пригодный формат
    /// </summary>
    /// <param name="text">Зашифрованная строка</param>
    /// <returns>Этот статический метод возвращает дешифрованную строку <paramref name="text"/></returns>
    public static string Base64UrlEncode (string text) => new StringEncryptor().Base64UrlEncode(text);

    /// <summary>
    /// Раскодирует из декодированной строки в HTML-пригодный формат
    /// </summary>
    /// <param name="text">Декодированная строка</param>
    /// <returns>Этот статический метод возвращает шифрованную строку <paramref name="text"/></returns>
    public static string Base64UrlDecode (string text) => new StringEncryptor().Base64UrlDecode(text);
}