﻿namespace anbs_cp.Classes;

/// <summary>
/// Конвертер размеров файлов
/// </summary>
/// <param name="valueNames">Массив имён размерностей</param>
/// <param name="decimalPlace">Знаков после запятой (0, 1, 2)</param>
public sealed class FileSizeConverter (IEnumerable<string> valueNames, byte decimalPlace = 2): ValueConverter(
    valueNames, 1024, decimalPlace)
{
    /// <summary>
    /// Имена размеров файлов по умолчанию
    /// </summary>
    public static readonly string[] DefaultNames = { "байт", "Кб", "Мб", "Гб", "Тб" };
}
