﻿namespace anbs_cp.Enums;

/// <summary>
/// Действия при операции переименования, если файл существует
/// </summary>
public enum EOnExistAction
{
    /// <summary>
    /// Возбуждать исключение
    /// </summary>
    RaiseException = 0,

    /// <summary>
    /// Прервать операцию
    /// </summary>
    Abort = 1,

    /// <summary>
    /// Продолжить операцию
    /// </summary>
    Ignore = 2,

    /// <summary>
    /// Возбуждать исключение, если папка не пуста (только для папок)
    /// </summary>
    RaiseExceptionIfNotEmpty = 3,

    /// <summary>
    /// Прервать операцию, если папка не пуста (только для папок)
    /// </summary>
    AbortIfNotEmpty = 4
}