﻿namespace anbs_cp.Structs;

/// <summary>
///     Пара ключ-значение
/// </summary>
/// <typeparam name="TK">Тип ключа</typeparam>
/// <typeparam name="TV">Тип значения</typeparam>
/// <param name="key">Ключ</param>
/// <param name="value">Значение</param>
public struct KeyValue<TK, TV>(TK key, TV? value)
{
    #region Свойства

    /// <summary>
    ///     Ключ
    /// </summary>
    public TK Key { get; set; } = key;

    /// <summary>
    ///     Значение
    /// </summary>
    public TV? Value { get; set; } = value;

    #endregion

    #region Методы

    /// <summary>
    ///     Получает ключ-значение по умолчанию
    /// </summary>
    /// <returns>Ключ-значение по умолчанию</returns>
    public static KeyValue<TK, TV> GetDefault() => new();

    #endregion
}