﻿using System.Text.Encodings.Web;

using Microsoft.AspNetCore.Html;

namespace anbs_cp.ForNet.Classes;

/// <summary>
/// Расширение конвертера типов на манер Delphi
/// </summary>
public static class NetTypeConverter
{
    #region Конвернтация IHtmlContent
    /// <summary>
    /// Преобразует тип <see cref="IHtmlContent"/> в строку <see cref="string"/>.
    /// </summary>
    /// <param name="content">Значение, которое нужно преобразовать.</param>
    /// <returns><see cref="string"/></returns>
    public static string HtmlContentToString(IHtmlContent content)
    {
        //Создаём writer
        using StringWriter writer = new();
        //Конвертируем IHtmlContent в string
        content.WriteTo(writer, HtmlEncoder.Default);
        //Возвращаем результат
        return writer.ToString();
    }

    /// <summary>
    /// Преобразует строку <see cref="string"/> в тип <see cref="IHtmlContent"/>.
    /// </summary>
    /// <param name="content">Значение, которое нужно преобразовать.</param>
    /// <returns><see cref="IHtmlContent"/></returns>
    public static IHtmlContent StringToHtmlContent(string content) => new HtmlContentBuilder().AppendHtml(content);
    #endregion
}