﻿using anbs_cp.OsInfo.Enums;
using anbs_cp.OsInfo.Interfaces;

namespace anbs_cp.OsInfo.Classes;

/// <summary>
/// Информация о дисках
/// </summary>
public sealed class OsDriveInfo: IOsDriveInfo
{
    /// <summary>
    /// Конструктор
    /// </summary>
    public OsDriveInfo ()
    {
        Type = EDriveType.DtHardDisc;
        Caption = null;
        Description = null;
        DeviceId = null;
        Name = null;
        Model = null;
        TotalSize = 0;
    }

    /// <summary>
    /// Тип диска
    /// </summary>
    public EDriveType Type { get; set; }

    /// <summary>
    /// Заголовок
    /// </summary>
    public string? Caption { get; set; }

    /// <summary>
    /// Описание
    /// </summary>
    public string? Description { get; set; }

    /// <summary>
    /// Идентификатор устройства
    /// </summary>
    public string? DeviceId { get; set; }

    /// <summary>
    /// Имя устройства
    /// </summary>
    public string? Name { get; set; }

    /// <summary>
    /// Модель
    /// </summary>
    public string? Model { get; set; }

    /// <summary>
    /// Общий размер
    /// </summary>
    public ulong TotalSize { get; set; }
}