using anbs_cp.Classes;
using anbs_cp.Interfaces;

namespace demo;

public sealed partial class CountValueTest: Form
{
    public CountValueTest ()
    {
        InitializeComponent();
    }

    private void CalculateButton_Click (object sender, EventArgs e)
    {

        if (string.IsNullOrEmpty(InsertDataBox.Text))
            return;

        long value = TypeConverter.StrToInt64(InsertDataBox.Text);
        IValueFormatter formatter = SelectFormatterBox.SelectedIndex switch
        {
            0 => new CountFormatter(),
            1 => new FileSizeFormatter(),
            _ => new CountFormatter(),
        };
        ResultLabel.Text = formatter.Format(value);
    }

    private void CountValueTest_Load (object sender, EventArgs e)
    {
        SelectFormatterBox.SelectedIndex = 0;
    }

    private void InsertDataBox_TextChanged (object sender, EventArgs e)
    {
        ulong value = TypeConverter.StrToUInt64(InsertDataBox.Text);

        if (value > long.MaxValue)
            InsertDataBox.Text = long.MaxValue.ToString();
    }

    private void calculateConvButton_Click (object sender, EventArgs e)
    {
        if (string.IsNullOrEmpty(InsertDataBox.Text))
            return;

        long value = TypeConverter.StrToInt64(InsertDataBox.Text);

        ResultLabel.Text = SelectFormatterBox.SelectedIndex switch
        {
            0 => new CountConverter(CountConverter.DefaultNames).Convert(value),
            1 => new FileSizeConverter(FileSizeConverter.DefaultNames).Convert(value),
            _ => new CountConverter(CountConverter.DefaultNames).Convert(value)
        };
    }
}