﻿using anbs_cp.Classes;
using Newtonsoft.Json;

namespace demo;
public sealed partial class SampleMapperTest: Form
{
    public SampleMapperTest ()
    {
        InitializeComponent();
    }

    private void MapBtn_Click (object sender, EventArgs e)
    {
        Demo1Class demo1 = new()
        {
            DemoString = DemoStringEdt.Text,
            DemoInt = (int)DemoIntEdt.Value,
            DemoBool = DemoBoolEdt.Checked,
            DemoDateTime = DemoDateTimeEdt.Value
        };

        Demo1Class demo2 = new()
        {
            DemoInt = 20220224,
            DemoBool = true,
            DemoDateTime = default
        };

        string serialize1 = JsonConvert.SerializeObject(demo2);

        SimpleMapper.MapMode mode = MapModeEdit.SelectedIndex switch
        {
            0 => SimpleMapper.MapMode.MapFull,
            1 => SimpleMapper.MapMode.MapNotNull,
            2 => SimpleMapper.MapMode.MapNotDefault,
            3 => SimpleMapper.MapMode.MapNotNullOrDefault,
            _ => SimpleMapper.MapMode.MapFull
        };

        SimpleMapper.MapEx(demo1, ref demo2, mode, new List<string>());

        string serialize2 = JsonConvert.SerializeObject(demo2);

        // ReSharper disable once LocalizableElement
        ResultArea.Text = $"Класс Demo2 до связывания:\r\n{serialize1}\r\nи после:\r\n{serialize2}";
    }
}

public sealed class Demo1Class
{
    public string? DemoString { get; set; }

    public int DemoInt { get; set; }

    public bool DemoBool { get; set; }

    public DateTime DemoDateTime { get; set; }
}

public class Demo2Class
{
    public string? DemoString { get; set; }

    public int DemoInt { get; set; }

    public bool DemoBool { get; set; }

    public DateTime DemoDateTime { get; set; }

    public string? DemoStringNotMapped { get; set; }
}